Bug 480552 - Review Request: poweradmin - A friendly web-based DNS administration tool for Bert Hubert's PowerDNS server
Review Request: poweradmin - A friendly web-based DNS administration tool for...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-18 16:09 EST by Ruben Kerkhof
Modified: 2011-03-09 11:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 08:19:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2009-01-18 16:09:14 EST
Spec URL: http://ruben.fedorapeople.org/poweradmin.spec
SRPM URL: http://ruben.fedorapeople.org/poweradmin-2.1.2-1.fc11.src.rpm
Description:
Poweradmin is a friendly web-based DNS administration tool for Bert Hubert's
PowerDNS server. The interface has full support for most of the features of
PowerDNS. It has full support for all zone types (master, native and slave),
for supermasters for automatic provisioning of slave zones, full support
for IPv6 and comes with multi-language support.
Comment 1 Kevin Fenzi 2009-01-18 18:02:05 EST
I'd be happy to review this package. Look for a full review here in a bit.
Comment 2 Kevin Fenzi 2009-01-18 18:33:35 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPLv3+)
See below - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
cf83b89c6931160684de52a0b3ea3678  poweradmin-2.1.2.tgz
cf83b89c6931160684de52a0b3ea3678  poweradmin-2.1.2.tgz.orig
OK - BuildRequires correct
 - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Seems like all the files that refer to the license say "or later", so
shouldn't this be 'GPLv3+' ?

2. You seem to have a typo in your Source0 line. A 'i' that shouldn't be there.

3. You should probibly require 'httpd' instead of 'webserver' as you are putting
files in httpd specific locations. 

4. The URL seems wrong... www.poweradmin.org instead of www.poweradmin.com ?
Comment 3 Ruben Kerkhof 2009-01-19 07:40:02 EST
Hi Kevin, thanks for the review.


> 1. Seems like all the files that refer to the license say "or later", so
> shouldn't this be 'GPLv3+' ?

Fixed.

> 2. You seem to have a typo in your Source0 line. A 'i' that shouldn't be there.

Ah, fat fingers. Fixed as well.

> 3. You should probibly require 'httpd' instead of 'webserver' as you are
> putting files in httpd specific locations.

Hmm, interesting issue. On the one hand, poweradmin works fine with lighttpd under fastcgi for example, on the other hand, most people will run this under apache. Adding the httpd conf file makes it run almost out of the box for the most users. But if you want to run poweradmin under another http server, it would still drag in httpd as a dependency.

phpMyAdmin does exactly the same btw.

What do you think?

> 4. The URL seems wrong... www.poweradmin.org instead of www.poweradmin.com ?

Oops, fixed as well.

New spec: http://ruben.fedorapeople.org/poweradmin.spec
New srpm: http://ruben.fedorapeople.org/poweradmin-2.1.2-2.fc11.src.rpm
Comment 4 Kevin Fenzi 2009-01-20 23:59:37 EST
1, 2, 4: looks good. 

3. Yeah, there isn't a great solution here. 
I think for now at least you need to require httpd, as you are putting files in a directory it owns and you need to either own it or require it for the directory. 

Perhaps it's worth mailing the packaging list and see if someone can come up with a clever way around this problem?

Change the requires to httpd, and this package is APPROVED.
Comment 5 Ruben Kerkhof 2009-01-22 07:13:03 EST
Thanks, I'll take it up with the packaging list.
Until then I'll add a requires for httpd.

New Package CVS Request
=======================
Package Name: poweradmin
Short Description: A friendly web-based DNS administration tool for Bert Hubert's PowerDNS server
Owners: ruben
Branches: F-9 F-10 EL-4 EL-5
Comment 6 Kevin Fenzi 2009-01-23 18:25:47 EST
cvs done.
Comment 7 Ruben Kerkhof 2011-03-08 17:02:56 EST
Package Change Request
======================
Package Name: poweradmin
Owners: ruben slankes

I accidentally retired the F-14 branch instead of releasing ownership. Can you please unretire this branch and change ownership to slankes if possible?
Comment 8 Jason Tibbitts 2011-03-08 20:27:35 EST
I think I've processed things as requested; please double check.
Comment 9 Ruben Kerkhof 2011-03-09 11:08:34 EST
Yes, thanks a lot Jason!

Note You need to log in before you can comment on or make changes to this bug.